#include<iostream>
using namespace std;
main()
{
      long long int n,x;
      cin>>n; 
      cin>>x;
      long long int a[n],b[n],c[n];
      for(long long int i=0;i<n;i++)
              cin>>a[i];
      for(long long int i=0;i<n;i++)
      {       
              for(long long int j=i+1;j<n;j++)
              {
                      if(a[i]<a[j])
                      {
                          int t;
                          t=a[i];
                          a[i]=a[j];
                          a[j]=t;         
                      }
              }
      } 
      long long int j=0,k=0;
      int v,m;
      v=m=0;
      for(long long int i=0;i<n;i++)
      {
              if(a[i]>x)
              {
                        b[j]=a[i];
                        j++;
                        v=1;
              }
              else
              {
                  c[k]=a[i];
                  k++;
                  m=1;
              }
              
      }
      long long int u;
      if(v==1&&m==1)
      {
          if(abs(b[0]-x)>abs(c[k-1]-x))
          {
                     u=abs(c[k-1]-x)+abs(b[0]-c[k-1]);                
          }
          else
                     u=abs(b[0]-x)+abs(c[k-1]-b[0]);
      }
      else
      {
          if(v==1)
          u=abs(b[0]-x);
          else
          {
              if(m==1)
              u=abs(c[k-1]-x);
          }
      }
      cout<<u;
}